<?php
/**
 * @version $Id: admincp.php v2.0 $
 * @package PBDigg
 * @copyright Copyright (C) 2007 - 2008 PBDigg.com. All Rights Reserved.
 * @license PBDigg is free software and use is subject to license terms
 */

require_once ('admin.inc.php');

$menuitem = array ('main','setting','cate','tag','member','group','check','batch','tpl','plugin','database','tool','log','preview','fileupload', 'special');

$action = str_replace(array ('.','/','\\','\'',':','%'), '', $_GET['action']);
$action = in_array($action, $menuitem) ? $action : 'main';
if (file_exists($action.'.inc.php'))
{
	include_once ($action.'.inc.php');
}
else
{
	showMsg($action.'.inc.php do not exist!', 'admincp.php?action=main');
}

adminlog($log_description);
$TPL->assign('type', $type);
$TPL->assign('actionurl', $actionurl);
PBOutPut(PB_CSCRIPT.'.html');
?>
